aboutsummaryrefslogtreecommitdiffstats
path: root/roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle
diff options
context:
space:
mode:
Diffstat (limited to 'roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle')
-rw-r--r--roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle43
1 files changed, 43 insertions, 0 deletions
diff --git a/roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle b/roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle
new file mode 100644
index 0000000..01deaad
--- /dev/null
+++ b/roles/jails/08_diddle/templates/usr_local_etc_rc.d_diddle
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# PROVIDE: diddle
+# REQUIRE: NETWORKING
+# KEYWORD: shutdown
+#
+# Enable in /etc/rc.conf:
+# diddle_enable="YES"
+#
+. /etc/rc.subr
+
+name="diddle"
+rcvar=diddle_enable
+
+load_rc_config $name
+
+: ${diddle_command:=/usr/local/bin/diddle}
+: ${diddle_log:=/var/log/${name}.log}
+
+start_cmd="${name}_start"
+stop_cmd="${name}_stop"
+status_cmd="${name}_status"
+
+extra_commands="status"
+
+diddle_start() {
+ /usr/local/bin/logto ${diddle_log} ${diddle_command} &
+}
+
+diddle_status() {
+ if ps aux | grep diddle | grep -v grep | grep -v rc.d/diddle; then
+ echo "diddle is running"
+ else
+ echo "diddle is not running"
+ exit 1
+ fi
+}
+
+diddle_stop() {
+ ps aux | grep diddle | grep -v grep | grep -v rc.d/diddle | awk '{print $2}' | xargs kill -TERM
+}
+
+run_rc_command "$1"